# Function add_to_menu

- add_to_menu(item): Promise<void>

- #### Parameters

  - ##### item: {
    label: string;
    min_role: number;
    pagename?: string;
    type: "View" | "Page";
    viewname?: string;
    }

    {label, type, viewname, pagename, min_role}

    - ##### label: string

    - ##### min_role: number

    - ##### `Optional` pagename?: string

    - ##### type: "View" | "Page"

    - ##### `Optional` viewname?: string

  #### Returns Promise<void>

  - Defined in saltcorn-admin-models/models/pack.ts:438

Generated using TypeDoc